Update a bank account entry in the employee's bank accounts table.

This endpoint updates an entry in the employee’s Bank accounts table.
The unique identifier for the bank account entry is the entry id. To obtain the employee's bank account entries use the GET /people/{employee-id}/bank-accounts endpoint.

Notes:
1. Out-of-the-box columns: These columns will be completely overwritten with the data provided in your payload. Any columns not included in the payload will be cleared (set to empty values). 2. Custom columns: These columns will remain unchanged unless explicitly included in the payload.

Path Params
string
required

The ID of the employee for whom you want to update the bank account entry. The employee ID is returned in the 'id' field when retrieving an employee's data.
For testing purposes you can obtain the Employee ID from the URL in the user interface.

integer
required

The ID of the entry in the bank accounts table which you are updating. To obtain the bank account entry use the GET /people/{id}/bank-accounts endpoint.

Body Params
string
enum

The list of bank accounts type comes with the above out-of-the-box values. To obtain additional user-defined values, you should fetch the list values call the Get all company lists Metadata API with bankaccounttype in the listname path parameter.

Allowed:
string

The routing number indicates what bank this account is held in. Relevant for US and Canada.

string

The nickname in Bob to easily identify and personalize this account in Online Banking.

string

The account number is the unique identifier at this bank.

string

The name of the specific financial institution.

string

The bank's address.

string

The SWIFT Address assigned to the bank in order to send automated international transfers.

string

The international bank account number (IBAN) for international transfers.

string
enum

The salary portion allocated for this account. It can be defined as a percentage of the salary, as a fixed amount, or to allocate all of the remaining funds. The list of possible values cannot be modified. The values that correspond to this field should be provided in the 'amount' field.

Allowed:
number

Use this field to provide the values that correspond to the ‘allocation’ field. If allocation is 'percent' this value represents the percentage of the salary portion to allocate. If allocation is 'amount' this value represents the fixed amount of the salary portion to allocate. If allocation is 'remaining' then the amount field should remain empty. This indicates that all of the remaining funds will be allocated to this account.

boolean

An indication whether this bank account is used for bonuses.

Responses
200

Entry updated successfully.

404

Requested entry not found. Nothing was changed

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!